<?

namespace Shop\Contracts;

/**
 * Description of CatalogFilterInterface
 *
 * @author Admin
 */
interface CatalogFilterInterface
{
    function getPriceListScheetIds(): array;

    function getProducts(): array;
    
    function getBrands(): array;

    function getCategoryId();
    
    function getParentCategoryId();
   
    function getBrandMain();

    function getGroups(): array;

    function getSizeType();

    function getSizeValues(): array;

    function getPriceMax(): int;

    function getPriceMin(): int;

    function getProductName();

    function getBrandName();

    function getSale(): int;

    function getNew(): int;
    
    function getArticle();
    
    function getImgExit():bool;

    public function getParentCategories(): array;
}